package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;
import javax.persistence.Embeddable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DammtiPianiFerieCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 291445300L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdAmmtoPianiFerie;

	private StringFilter descMotivazioneRigetto;

	private StringFilter statAdesione;

	private LongFilter fkAmministrato;

	private LongFilter fkMotivazioneAlertPf;

	private LongFilter fkPianoFerie;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataFineRecord;

	private LocalDateFilter dataUltimaModifica;

	private StringFilter flagEliminato;

	private LocalDateFilter dataInizioRecord;

	// FILTER FATHER
	private String theDmotivazioniAlertPfObjectKey;
	private String theDpianiFerieObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdAmmtoPianiFerie
	 */
	public LongFilter getSequIdAmmtoPianiFerie() {
		return this.sequIdAmmtoPianiFerie;
	}

	/**
	 * @param sequIdAmmtoPianiFerie to set
	 */
	public void setSequIdAmmtoPianiFerie(LongFilter sequIdAmmtoPianiFerie) {
		this.sequIdAmmtoPianiFerie = sequIdAmmtoPianiFerie;
	}

	/**
	 * @return the descMotivazioneRigetto
	 */
	public StringFilter getDescMotivazioneRigetto() {
		return this.descMotivazioneRigetto;
	}

	/**
	 * @param descMotivazioneRigetto to set
	 */
	public void setDescMotivazioneRigetto(StringFilter descMotivazioneRigetto) {
		this.descMotivazioneRigetto = descMotivazioneRigetto;
	}

	/**
	 * @return the statAdesione
	 */
	public StringFilter getStatAdesione() {
		return this.statAdesione;
	}

	/**
	 * @param statAdesione to set
	 */
	public void setStatAdesione(StringFilter statAdesione) {
		this.statAdesione = statAdesione;
	}

	/**
	 * @return the fkAmministrato
	 */
	public LongFilter getFkAmministrato() {
		return this.fkAmministrato;
	}

	/**
	 * @param fkAmministrato to set
	 */
	public void setFkAmministrato(LongFilter fkAmministrato) {
		this.fkAmministrato = fkAmministrato;
	}

	/**
	 * @return the fkMotivazioneAlertPf
	 */
	public LongFilter getFkMotivazioneAlertPf() {
		return this.fkMotivazioneAlertPf;
	}

	/**
	 * @param fkMotivazioneAlertPf to set
	 */
	public void setFkMotivazioneAlertPf(LongFilter fkMotivazioneAlertPf) {
		this.fkMotivazioneAlertPf = fkMotivazioneAlertPf;
	}

	/**
	 * @return the fkPianoFerie
	 */
	public LongFilter getFkPianoFerie() {
		return this.fkPianoFerie;
	}

	/**
	 * @param fkPianoFerie to set
	 */
	public void setFkPianoFerie(LongFilter fkPianoFerie) {
		this.fkPianoFerie = fkPianoFerie;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	// GETTER/SETTER FATHER

	public String getTheDmotivazioniAlertPfObjectKey() {
		return theDmotivazioniAlertPfObjectKey;
	}

	public void setTheDmotivazioniAlertPfObjectKey(String theDmotivazioniAlertPfObjectKey) {
		this.theDmotivazioniAlertPfObjectKey = theDmotivazioniAlertPfObjectKey;
	}

	public String getTheDpianiFerieObjectKey() {
		return theDpianiFerieObjectKey;
	}

	public void setTheDpianiFerieObjectKey(String theDpianiFerieObjectKey) {
		this.theDpianiFerieObjectKey = theDpianiFerieObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
